﻿using System.Web.Mvc;
using Kreta.Web.Areas.KirImportExport.Logic;
using Kreta.Web.Areas.KirImportExport.Models.KirImport;
using Kreta.Web.Models.EditorTemplates;

namespace Kreta.Web.Areas.KirImportExport.Controllers
{
    public class KirAlkalmazottController : BaseController
    {
        public ActionResult OpenAlkalmazottComparePopupp(int alkalmazottId)
        {
            var popUpModel = new PopUpModel(
            new CompareModel
            {

                FelhasznaloId = alkalmazottId,
                IsImportFromKir = System.Web.HttpContext.Current.Request.UrlReferrer.AbsoluteUri.Contains("IndexImport")
            }, "Alkalmazott_AddModify");

            popUpModel = popUpModel.AddCancelBtn(popUpModel, "KirAlkalmazottImportHelper.propertiesCancel");
            popUpModel = popUpModel.AddOkBtn(popUpModel, "KirAlkalmazottImportHelper.modifyAddSave");

            return PartialView(Constants.General.PopupView, popUpModel);
        }

        public ActionResult OpenAlkalmazottInfoPopUp(string alkalmazottId)
        {
            var model = new PopUpModel(new TabStripModel()
            {
                TabList = KirImportLogic.GetAlkalmazottInfoTabs(alkalmazottId)
            }, "~/Areas/Alkalmazott/Views/Alkalmazott/Info_PopUp.cshtml");

            model.AddCancelBtn(model, "KirAlkalmazottImportHelper.alkalmazottInfoCancel");

            return PartialView(Constants.General.PopupView, model);
        }
    }
}
