﻿using System.Web.Mvc;
using Kreta.Web.Areas.KirImportExport.Logic;
using Kreta.Web.Areas.KirImportExport.Models.KirImport;
using Kreta.Web.Areas.Tanulo.Models;
using Kreta.Web.Models.EditorTemplates;

namespace Kreta.Web.Areas.KirImportExport.Controllers
{
    public class KirTanuloController : BaseController
    {
        public ActionResult OpenTanuloComparePopup(int tanuloId)
        {
            var popUpModel = new PopUpModel(
                new CompareModel
                {
                    FelhasznaloId = tanuloId,
                    IsImportFromKir = System.Web.HttpContext.Current.Request.UrlReferrer.AbsoluteUri.Contains("IndexImport"),
                    TanugyiAdatokTabIsVisible = KirImportLogic.HasOsztalyBasorolas(tanuloId)
                }, "Tanulo_AddModify");

            popUpModel = popUpModel.AddCancelBtn(popUpModel, "KirTanuloImportHelper.propertiesCancel");
            popUpModel = popUpModel.AddOkBtn(popUpModel, "KirTanuloImportHelper.modifyAddSave");

            return PartialView(Constants.General.PopupView, popUpModel);
        }

        public ActionResult OpenTanuloInfoPopUp(string tanuloId)
        {
            var model = new PopUpModel(new TanuloSearchModel()
            {
                TabList = KirImportLogic.GetTanuloInfoTabs(tanuloId)
            }, "~/Areas/Tanulo/Views/Tanulo/Tanulo_Info.cshtml");

            model.AddCancelBtn(model, "KirTanuloImportHelper.tanuloInfoCancel");

            return PartialView(Constants.General.PopupView, model);
        }
    }
}
